Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	10.0.6
Release:	%mkrel 1
License:	BSD-Like
Group:		System/Servers
URL:		https://roy.marples.name/projects/dhcpcd/
Source0:	https://github.com/NetworkConfiguration/dhcpcd/releases/download/v%{version}/dhcpcd-%{version}.tar.xz
Patch1:		dhcpcd-6.1.0-fix-install-permissions.patch
Requires(post): rpm-helper

%description
dhcpcd is an RFC2131 compliant DHCP client. It is fully featured and yet
lightweight: the binary is 60k as reported by size(1) on Linux i386. It has
support for duplicate address detection, IPv4LL, carrier detection, and a
merged resolv.conf and ntp.conf for which other DHCP clients require third
party tools.

%prep
%setup -q
%autopatch -p1

%build
%configure	--bindir=/sbin \
		--libdir=/%{_lib} \
		--libexecdir=/%{_lib} \
		--with-hook=ntp.conf \
		--with-hook=yp.conf \
		--with-hook=ypbind \
		--without-udev

%serverbuild

%make_build

%install
%make_install

%files
%doc README.md
%config(noreplace) %{_sysconfdir}/dhcpcd.conf
/sbin/dhcpcd
%dir /%{_lib}/dhcpcd-hooks
/%{_lib}/dhcpcd-hooks/*
/%{_lib}/dhcpcd-run-hooks
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/hooks
%{_datadir}/%{name}/hooks/*
%{_mandir}/man5/dhcpcd.conf.5*
%{_mandir}/man8/dhcpcd.8*
%{_mandir}/man8/dhcpcd-run-hooks.8*


%changelog
* Tue Mar 19 2024 joequant <joequant> 10.0.6-1.mga10
+ Revision: 2050626
- update to 10.0.6

* Tue Mar 15 2022 umeabot <umeabot> 9.4.1-2.mga9
+ Revision: 1793688
- Mageia 9 Mass Rebuild

* Wed Nov 10 2021 luigiwalser <luigiwalser> 9.4.1-1.mga9
+ Revision: 1755752
- 9.4.1

* Wed Dec 30 2020 luigiwalser <luigiwalser> 9.4.0-1.mga8
+ Revision: 1665855
- 9.4.0

* Wed Dec 02 2020 luigiwalser <luigiwalser> 9.3.4-1.mga8
+ Revision: 1651756
- 9.3.4

* Wed Nov 18 2020 luigiwalser <luigiwalser> 9.3.2-1.mga8
+ Revision: 1647352
- 9.3.2

* Sat Feb 15 2020 umeabot <umeabot> 7.1.1-2.mga8
+ Revision: 1525399
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 15 2019 daviddavid <daviddavid> 7.1.1-1.mga7
+ Revision: 1390623
- new version: 7.1.1

* Sat Feb 02 2019 luigiwalser <luigiwalser> 7.1.0-1.mga7
+ Revision: 1362679
- 7.1.0

* Fri Dec 28 2018 luigiwalser <luigiwalser> 7.0.8-1.mga7
+ Revision: 1345878
- 7.0.8

* Sun Sep 23 2018 umeabot <umeabot> 6.11.5-2.mga7
+ Revision: 1297435
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 luigiwalser <luigiwalser> 6.11.5-1.mga6
+ Revision: 1066478
- 6.11.5

* Sat Sep 10 2016 luigiwalser <luigiwalser> 6.11.3-1.mga6
+ Revision: 1051247
- 6.11.3

* Wed Aug 10 2016 luigiwalser <luigiwalser> 6.11.2-1.mga6
+ Revision: 1045266
- 6.11.2

* Mon May 09 2016 luigiwalser <luigiwalser> 6.11.0-1.mga6
+ Revision: 1011769
- 6.11.0

* Mon Jan 25 2016 luigiwalser <luigiwalser> 6.10.1-1.mga6
+ Revision: 927468
- 6.10.1

* Mon Jan 11 2016 luigiwalser <luigiwalser> 6.10.0-1.mga6
+ Revision: 921854
- 6.10.0
- timezone, lookup-hostname, wpa_supplicant hooks no longer run by default
  - they are now installed in /usr/share/dhcpcd/hooks as examples
  - they must be moved back to /lib/dhcpcd-hooks to be re-enabled

* Sun Jan 03 2016 luigiwalser <luigiwalser> 6.9.4-1.mga6
+ Revision: 918931
- 6.9.4

* Thu Nov 19 2015 luigiwalser <luigiwalser> 6.9.3-1.mga6
+ Revision: 904335
- 6.9.3

* Sun Jun 21 2015 luigiwalser <luigiwalser> 6.8.2-1.mga6
+ Revision: 837003
- 6.8.2

* Fri Feb 13 2015 luigiwalser <luigiwalser> 6.7.1-1.mga5
+ Revision: 814855
- 6.7.1

* Sat Dec 20 2014 luigiwalser <luigiwalser> 6.6.7-1.mga5
+ Revision: 804378
- 6.6.7

* Tue Dec 02 2014 luigiwalser <luigiwalser> 6.6.4-1.mga5
+ Revision: 800323
- 6.6.4

* Thu Nov 20 2014 luigiwalser <luigiwalser> 6.6.2-1.mga5
+ Revision: 798014
- 6.6.2

* Mon Nov 03 2014 luigiwalser <luigiwalser> 6.6.0-1.mga5
+ Revision: 795347
- 6.6.0

* Wed Oct 15 2014 umeabot <umeabot> 6.5.0-2.mga5
+ Revision: 747536
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 6.5.0-1.mga5
+ Revision: 737592
- 6.5.0

* Tue Sep 16 2014 umeabot <umeabot> 6.4.3-2.mga5
+ Revision: 678732
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 luigiwalser <luigiwalser> 6.4.3-1.mga5
+ Revision: 658354
- 6.4.3

* Fri Jul 18 2014 luigiwalser <luigiwalser> 6.4.2-1.mga5
+ Revision: 653535
- 6.4.2

* Mon Jun 23 2014 luigiwalser <luigiwalser> 6.4.0-1.mga5
+ Revision: 639100
- 6.4.0

* Sat Mar 22 2014 luigiwalser <luigiwalser> 6.3.2-1.mga5
+ Revision: 606629
- 6.3.2

* Thu Mar 06 2014 luigiwalser <luigiwalser> 6.3.1-1.mga5
+ Revision: 600496
- 6.3.1

* Sat Mar 01 2014 luigiwalser <luigiwalser> 6.3.0-1.mga5
+ Revision: 598398
- 6.3.0

* Sun Feb 09 2014 luigiwalser <luigiwalser> 6.2.1-1.mga5
+ Revision: 586874
- 6.2.1

* Mon Oct 21 2013 umeabot <umeabot> 6.1.0-2.mga4
+ Revision: 537405
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 6.1.0-1.mga4
+ Revision: 486928
- 6.1.0
- rediff perms patch

* Mon Aug 05 2013 luigiwalser <luigiwalser> 6.0.5-1.mga4
+ Revision: 463674
- 6.0.5

* Sun Jul 21 2013 luigiwalser <luigiwalser> 6.0.3-1.mga4
+ Revision: 456693
- 6.0.3

* Mon Apr 15 2013 luigiwalser <luigiwalser> 5.6.8-1.mga3
+ Revision: 410111
- 5.6.8

* Sun Feb 17 2013 luigiwalser <luigiwalser> 5.6.7-1.mga3
+ Revision: 398852
- 5.6.7

* Fri Jan 11 2013 umeabot <umeabot> 5.6.6-2.mga3
+ Revision: 348759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 5.6.6-1.mga3
+ Revision: 338323
- 5.6.6
- drop ghosted log file no longer needed (from mdv)

* Sat Sep 29 2012 luigiwalser <luigiwalser> 5.6.2-1.mga3
+ Revision: 300166
- 5.6.2

* Sun Jul 29 2012 luigiwalser <luigiwalser> 5.6.1-1.mga3
+ Revision: 275647
- 5.6.1

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5.5.6-1.mga2
+ Revision: 230825
- 5.5.6

* Sat Feb 18 2012 luigiwalser <luigiwalser> 5.5.4-1.mga2
+ Revision: 210567
- 5.5.4
- fix URL

* Mon Sep 05 2011 tv <tv> 5.2.12-1.mga2
+ Revision: 138934
- new version
- drop initscripts patch, fixed upstream now

* Tue Feb 08 2011 ennael <ennael> 5.2.7-1.mga1
+ Revision: 49030
- imported package dhcpcd


* Wed Sep 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.2.7-1mdv2011.0
+ Revision: 576757
- new release: 5.2.7
- regenerate initscript path patch (P0)

* Thu Jan 14 2010 Emmanuel Andry <eandry@mandriva.org> 5.1.4-1mdv2010.1
+ Revision: 491483
- New version 5.1.4

* Tue Nov 17 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.1.3-1mdv2010.1
+ Revision: 466727
- update outdated description
- fix permission of installed files (P1)
- fix paths to initscripts in hook scripts
- be sure to have hook scripts for ntp & yp installed
- new version: 5.1.3

* Tue Nov 17 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.1.1-2mdv2010.1
+ Revision: 466702
- set variables properly through %%configure (this fixes breakage in previous
  release due /usr/lib* being used while files being placed in /lib*)

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 5.1.1-1mdv2010.0
+ Revision: 449124
- Update to new version 5.1.1

* Fri Jul 10 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.0.5-1mdv2010.0
+ Revision: 394186
- new release: 5.0.5

* Sat Jun 27 2009 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdv2010.0
+ Revision: 389853
- 5.0.4

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.12-1mdv2009.1
+ Revision: 348930
- New upstream release

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.10-1mdv2009.1
+ Revision: 342438
- New upstream release

* Wed Dec 03 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.7-1mdv2009.1
+ Revision: 309655
- 4.0.7

* Wed Nov 26 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.6-1mdv2009.1
+ Revision: 307007
- 4.0.6
- 4.0.5

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.4-1mdv2009.1
+ Revision: 299831
- 4.0.4

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.3-1mdv2009.1
+ Revision: 298598
- 4.0.3

* Fri Oct 24 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.2-1mdv2009.1
+ Revision: 296936
- 4.0.2

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-3mdv2009.0
+ Revision: 220620
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-2mdv2008.1
+ Revision: 149172
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
+ Revision: 145528
- Import dhcpcd

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.3.22pl4-6mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.22pl4-5mdk
- Rebuild

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.22pl4-4mdk
- add prepreq on rpm-helper
- cosmetics
- no .bz2 ending for man page in %%files

